org.deidentifier.arx.exceptions

## Class UnexpectedErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.deidentifier.arx.exceptions.UnexpectedErrorException

All Implemented Interfaces:
  java.io.Serializable

    public class UnexpectedErrorException
    extends java.lang.RuntimeException

Internal class for unexpected errors.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnexpectedErrorException()` Constructor
`UnexpectedErrorException(java.lang.String message)` Constructor
`UnexpectedErrorException(java.lang.String message, java.lang.Throwable cause)` Constructor
`UnexpectedErrorException(java.lang.Throwable cause)` Constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnexpectedErrorException

    public UnexpectedErrorException()

Constructor

#### UnexpectedErrorException

    public UnexpectedErrorException(java.lang.String message)

Constructor

Parameters:
  `message` -

#### UnexpectedErrorException

    public UnexpectedErrorException(java.lang.String message,
                                    java.lang.Throwable cause)

Constructor

Parameters:
  `message` -
  `cause` -

#### UnexpectedErrorException

    public UnexpectedErrorException(java.lang.Throwable cause)

Constructor

Parameters:
  `cause` -